#!/bin/bash

# To enable this script, pass it to vdr with the -s option, eg.
# "-s vdr-shutdown.sh" (sans quotes) in VDR_OPTIONS in /etc/sysconfig/vdr.
# See also below for additional required sudo configuration, and
# README.package for information how to get the time written to ACPI and
# thus getting the system to wake up at the correct time.

# WAKEUP_BEFORE_RECORDING tells how many minutes before the next timer event
# should the system wake up, ie. how long does it take to boot until VDR is
# running and ready to record.  Some CI/CAM's take a long time to initialize
# so we use a pretty generous value here by default.

if [ ${1:-0} -gt 0 ] ; then
    when=$(( $1 - ${WAKEUP_BEFORE_RECORDING:-10} * 60 ))
    exec sudo /usr/sbin/rtcwake -m off -t $when
else
    exec sudo /sbin/shutdown -P now
fi
